Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.LogFile Method
DatabaseEnvironment Class See Also Send Feedback

Map an LSN object to a log filename

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public string LogFile(
    	LSN logSeqNum
    )

Visual Basic (Declaration)
    Public Function LogFile ( _
    	logSeqNum As LSN _
    ) As String

Visual C++
    public:
    String^ LogFile(
    	LSN^ logSeqNum
    )

#### Parameters

logSeqNum
  Type: BerkeleyDB..::.LSN
  The DB_LSN structure for which a filename is wanted.

#### Return Value

The name of the file containing the record named by logSeqNum.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace